Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciClass

public interface SciClass
extends SciElement, SciScope

A source code class (interface).

Contains a set of methods for accessing class'es inner components such as members (operations and attributes) or inner classes, and upper-level containers such as packages and containing classes (for inner classes).

This interface beside `SciScope` extends `SciElement`, which makes it an element also:

- All operation performed for elements such as setting properties and accepting visitors can be done for `SciClasss` as well.
- `SciClass` instances can be cut, copied, deleted or pasted.

For `SciClass`es the qualified name is a full name of this class in a valid systax construction for the programming language. For example, the qualified name for a java class will look like a standard Java language class name: "java.lang.String".

Author:
  TogetherSoft
See Also: SciElement, SciObject, SciContainer, SciElement.getQualifiedName()

Method Summary
`SciAttributeEnumeration` | `attributes()` Returns an enumeration of all attributes this class has.
`SciClass` | `getContainingClass()` For inner class returns a class/interface this inner class belongs to.
`SciPackage` | `getContainingPackage()` Returns the package this class belongs to.
`SciInheritanceList` | `getExtendsList()` Returns `SciInheritanceList` which contains references to classes(interfaces) this class(interface) extends.
`SciInheritanceList` | `getImplementsList()` Returns `SciInheritanceList` which contains references to interfaces this class implements.
`SciInheritanceEnumeration` | `inheritances()` Returns an enumeration of inheritances for this class.
`SciClassEnumeration` | `innerClasses()` Returns an enumeration of inner classes for this class.
`SciMemberEnumeration` | `members()` Returns an enumeration of all members this class has.
`SciOperationEnumeration` | `operations()` Returns an enumeration of all operations this class has.

Methods inherited from interface com.togethersoft.openapi.sci.SciElement
`accept, canSetName, canSetProperty, getDeclarationText, getName, getQualifiedName, getTagList, getUniqueName, hasProperty, isDeleted, isPropertyReadable, isPropertyWritable, setName, setProperty, visitReferences, visitReferences`

Methods inherited from interface com.togethersoft.openapi.sci.SciObject
`canCut, canDelete, canReplace, copy, cut, delete, getContainingFile, getContainingScope, getLanguage, getPositions, getText, getUserProperty, isReadOnly, replace, setUserProperty`

Methods inherited from interface com.togethersoft.openapi.sci.SciScope
`declaredElements, visitExpressions, visitExpressions, visitStatements, visitStatements`

Methods inherited from interface com.togethersoft.openapi.sci.SciContainer
`canPaste, objects, paste`

Method Detail

### attributes

    public SciAttributeEnumeration attributes()

  Returns an enumeration of all attributes this class has. For getting all members this class has, `members` method should be used.
  Returns: an enumeration of all attributes this class has
  See Also:
    members(), operations()

### getContainingClass

    public SciClass getContainingClass()

  For inner class returns a class/interface this inner class belongs to. For other classes returns `null`.
  Returns: a `SciClass` this inner class belongs to

### getContainingPackage

    public SciPackage getContainingPackage()

  Returns the package this class belongs to.
  Returns: the package this class belongs to

### getExtendsList

    public SciInheritanceList getExtendsList()

  Returns `SciInheritanceList` which contains references to classes(interfaces) this class(interface) extends.
  Returns: `SciInheritanceList` which contains references to classes(interfaces) this class(interface) extends
  See Also:
    SciInheritanceList

### getImplementsList

    public SciInheritanceList getImplementsList()

  Returns `SciInheritanceList` which contains references to interfaces this class implements. If this `SciClass` represents an interface (or a C++ class), then this method returns `null`.
  Returns: `SciInheritanceList` which contains references to interfaces this class implements
  See Also:
    SciInheritanceList

### inheritances

    public SciInheritanceEnumeration inheritances()

  Returns an enumeration of inheritances for this class.
  Returns: an enumeration of inheritances for this class

### innerClasses

    public SciClassEnumeration innerClasses()

  Returns an enumeration of inner classes for this class.
  Returns: an enumeration of inner classes for this class

### members

    public SciMemberEnumeration members()

  Returns an enumeration of all members this class has. (Members are operations and attributes). For getting either operations or attributes only, methods `operations` or `attributes` should be used.
  Returns: an enumeration of all members this class has
  See Also:
    operations(), attributes()

### operations

    public SciOperationEnumeration operations()

  Returns an enumeration of all operations this class has. For getting all members this class has, `members` method should be used.
  Returns: an enumeration of all operations this class has
  See Also:
    members(), attributes()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD